Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class RepositoryId

    java.lang.Object
      com.bea.content.RepositoryId

All Implemented Interfaces
  Serializable, Cloneable

    public class RepositoryId

extends Object
implements Serializable, Cloneable

A `RepositoryId` uniquely represents a WLP Content Repository.

See Also
  Serialized Form

Field Summary
`static String` | `CM_DATA_SOURCE` Name of the property used to specify a particular DataSource's JNDI name.

Constructor Summary
`RepositoryId()`

Method Summary
`Object` | `clone()`
`String` | `getDataSourceName()` Returns the JNDI name of the DataSource used by the repository.
`String` | `getName()` Returns the name of the repository.
`void` | `setDataSourceName(String dataSourceName)` Set the JNDI name of the DataSource for the repository.
`void` | `setName(String name)` Set the name of the repository.
`String` | `toString()` Returns a `String` representation of this `RepositoryId`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CM_DATA_SOURCE

    public static final String CM_DATA_SOURCE

  Name of the property used to specify a particular DataSource's JNDI name.

  See Also
    Constants Summary

Constructor Detail

### RepositoryId

    public RepositoryId()

Method Detail

### getName

    public String getName()

  Returns the name of the repository.

  Returns
    a `String` object.

### setName

    public void setName(String name)

  Set the name of the repository.

  Parameters
    `name` - a `String` object.

### getDataSourceName

    public String getDataSourceName()

  Returns the JNDI name of the DataSource used by the repository.

  Returns
    a `String` object

### setDataSourceName

    public void setDataSourceName(String dataSourceName)

  Set the JNDI name of the DataSource for the repository.

  Parameters
    `dataSourceName` - a `String` object

### toString

    public String toString()

  Returns a `String` representation of this `RepositoryId`

  Overrides:
    `toString` in class `Object`
  Returns
    a `String` object

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws
    `CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.